Bug 145293 - SanDisk Cruzer Mini does not automatically mount
SanDisk Cruzer Mini does not automatically mount
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-16 21:55 EST by Jim
Modified: 2013-03-05 22:42 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.4.7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-24 22:52:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output (861 bytes, text/plain)
2005-01-16 21:56 EST, Jim
no flags Details
Output of 'hald --daemon=no --verbose=yes' (103.00 KB, text/plain)
2005-01-20 17:06 EST, Jim
no flags Details

  None (edit)
Description Jim 2005-01-16 21:55:29 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
When I plug a SanDisk Cruzer Mini 128MB USB Flash drive in, it does
not automatically mount, even though this option is enabled. The LED
on the drive comes on, flashes a few times, and then just stays on.

Here is some of the information obtained from running 'cat
/sys/bus/usb/devices/usb1/1-6/*'

Manufacturer: SanDisk Corporation
Product: Cruzer Mini
idProduct: 8181
idVendor: 0781


Version-Release number of selected component (if applicable):
hal-0.4.5-1.FC3  hwdata-0.145-1 kernel-2.6.10-1.741_FC3

How reproducible:
Always

Steps to Reproduce:
1. Plug drive in
2. Wait
3. Run dmesg.
    

Actual Results:  Drive is detected, but not mounted by
gnome-volume-manager. It can be mounted manually.

Expected Results:  gnome-volume-manager should mount the drive.

Additional info:

Other USB Flash drives work fine, including a Lexar 64MB JumpDrive.
Comment 1 Jim 2005-01-16 21:56:32 EST
Created attachment 109858 [details]
dmesg output
Comment 2 David Zeuthen 2005-01-20 14:09:39 EST
Please attach the output of 'hald --daemon=no --verbose=yes' - make
sure that the haldaemon service isn't running (run 'service haldaemon
stop').
Comment 3 Jim 2005-01-20 17:06:19 EST
Created attachment 110031 [details]
Output of 'hald --daemon=no --verbose=yes'

The requested command was run after the usb flash drive was plugged into the
computer. The drive was not unplugged at any point during this operation.
Comment 4 David Zeuthen 2005-01-21 11:03:18 EST
I think these packages

 http://people.redhat.com/davidz/hal-cvs20050121/

may have the fix - please try them out.

Thanks,
David
Comment 5 Jim 2005-01-21 15:04:16 EST
The CVS version of hal that you linked to in post 4 fixes the problem.

Thanks!

Note You need to log in before you can comment on or make changes to this bug.